# Uses of Interface
org.apache.lucene.codecs.hnsw.FlatVectorsScorer

Packages that use FlatVectorsScorer
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.internal.vectorization
Internal implementations to support SIMD vectorization.

## Uses of FlatVectorsScorer in org.apache.lucene.codecs.hnsw

Classes in org.apache.lucene.codecs.hnsw that implement FlatVectorsScorer
Modifier and Type
Class
Description
`class`
`DefaultFlatVectorScorer`
Default implementation of `FlatVectorsScorer`.
`class`
`ScalarQuantizedVectorScorer`
Default scalar quantized implementation of `FlatVectorsScorer`.
Fields in org.apache.lucene.codecs.hnsw declared as FlatVectorsScorer
Modifier and Type
Field
Description
`protected final FlatVectorsScorer`
FlatVectorsReader.`vectorScorer`
Scorer for flat vectors
`protected final FlatVectorsScorer`
FlatVectorsWriter.`vectorsScorer`
Scorer for flat vectors
Methods in org.apache.lucene.codecs.hnsw that return FlatVectorsScorer
Modifier and Type
Method
Description
`FlatVectorsScorer`
FlatVectorsReader.`getFlatVectorScorer()`
`FlatVectorsScorer`
FlatVectorsWriter.`getFlatVectorScorer()`
`static FlatVectorsScorer`
FlatVectorScorerUtil.`getLucene99FlatVectorsScorer()`
Returns a FlatVectorsScorer that supports the Lucene99 format.
Constructors in org.apache.lucene.codecs.hnsw with parameters of type FlatVectorsScorer
Modifier
Constructor
Description
`protected`
`FlatVectorsReader(FlatVectorsScorer vectorsScorer)`
Sole constructor
`protected`
`FlatVectorsWriter(FlatVectorsScorer vectorsScorer)`
Sole constructor
``
`ScalarQuantizedVectorScorer(FlatVectorsScorer flatVectorsScorer)`

## Uses of FlatVectorsScorer in org.apache.lucene.codecs.lucene95

Fields in org.apache.lucene.codecs.lucene95 declared as FlatVectorsScorer
Modifier and Type
Field
Description
`protected final FlatVectorsScorer`
OffHeapByteVectorValues.`flatVectorsScorer`
`protected final FlatVectorsScorer`
OffHeapFloatVectorValues.`flatVectorsScorer`
Methods in org.apache.lucene.codecs.lucene95 with parameters of type FlatVectorsScorer
Modifier and Type
Method
Description
`static OffHeapByteVectorValues`
OffHeapByteVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`
`static OffHeapFloatVectorValues`
OffHeapFloatVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`
Constructors in org.apache.lucene.codecs.lucene95 with parameters of type FlatVectorsScorer
Modifier
Constructor
Description
``
`DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction vectorSimilarityFunction)`
``
`DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction similarityFunction)`

## Uses of FlatVectorsScorer in org.apache.lucene.codecs.lucene99

Classes in org.apache.lucene.codecs.lucene99 that implement FlatVectorsScorer
Modifier and Type
Class
Description
`class`
`Lucene99ScalarQuantizedVectorScorer`
Optimized scalar quantized implementation of `FlatVectorsScorer` for quantized vectors stored in the Lucene99 format.
Fields in org.apache.lucene.codecs.lucene99 declared as FlatVectorsScorer
Modifier and Type
Field
Description
`protected final FlatVectorsScorer`
OffHeapQuantizedByteVectorValues.`vectorsScorer`
Methods in org.apache.lucene.codecs.lucene99 with parameters of type FlatVectorsScorer
Modifier and Type
Method
Description
`static OffHeapQuantizedByteVectorValues`
OffHeapQuantizedByteVectorValues.`load(OrdToDocDISIReaderConfiguration configuration, int dimension, int size, ScalarQuantizer scalarQuantizer, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, boolean compress, long quantizedVectorDataOffset, long quantizedVectorDataLength, IndexInput vectorData)`
Constructors in org.apache.lucene.codecs.lucene99 with parameters of type FlatVectorsScorer
Modifier
Constructor
Description
``
`DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)`
``
`Lucene99FlatVectorsFormat(FlatVectorsScorer vectorsScorer)`
Constructs a format
``
`Lucene99FlatVectorsReader(SegmentReadState state, FlatVectorsScorer scorer)`
``
`Lucene99FlatVectorsWriter(SegmentWriteState state, FlatVectorsScorer scorer)`
``
`Lucene99ScalarQuantizedVectorScorer(FlatVectorsScorer flatVectorsScorer)`
``
`Lucene99ScalarQuantizedVectorsReader(SegmentReadState state, FlatVectorsReader rawVectorsReader, FlatVectorsScorer scorer)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, byte bits, boolean compress, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`

## Uses of FlatVectorsScorer in org.apache.lucene.internal.vectorization

Methods in org.apache.lucene.internal.vectorization that return FlatVectorsScorer
Modifier and Type
Method
Description
`abstract FlatVectorsScorer`
VectorizationProvider.`getLucene99FlatVectorsScorer()`
Returns a FlatVectorsScorer that supports the Lucene99 format.